import { TModuleFactory, TPlugin, TGalleryPluginManager, TLogger, TExtractorStream, TStorage, TGalleryConfig, TExtractorStreamTearDown, TDatabaseMapperStream, TQueryContext } from '@home-gallery/types';
import { TPluginContext } from './types.js';
import { QueryExecutor } from '../query/queryExecutor.js';
export declare class PluginManager implements TGalleryPluginManager {
    plugins: TPluginContext[];
    config: TGalleryConfig;
    context: any;
    managerConfig: any;
    log: TLogger;
    queryExecutor: QueryExecutor;
    constructor(config?: TGalleryConfig, context?: {});
    /**
     * Currently the PluginManager is experimental and interfaces
     * are subjects of change until ApiVersion 1.0 is released
     */
    getApiVersion(): string;
    getConfig(): TGalleryConfig;
    createLogger(module: string): TLogger;
    getContext(): any;
    importPlugin(file: string): Promise<any>;
    validatePluginProps(file: string, plugin: any): void;
    addPlugin(file: string, plugin: any): Promise<any>;
    getPackageEntry(dir: string): Promise<string>;
    loadPlugin(dirOrFile: string): Promise<any>;
    loadPluginDir(dir: string): Promise<void>;
    private validateFactory;
    initializePlugins(): Promise<void>;
    getPlugin(name: string): TPlugin | undefined;
    getPlugins(): TPlugin[];
    getModuleFactoryFor(name: string): TModuleFactory | undefined;
    getExtractorStreams(storage: TStorage): Promise<[TExtractorStream[], TExtractorStreamTearDown]>;
    getDatabaseMapperStream(updated: string): Promise<TDatabaseMapperStream>;
    executeQuery(entries: any, query: string, context: TQueryContext): Promise<any>;
}
